> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get secret metadata

> Get metadata for a specific secret without revealing the secret value.



## OpenAPI

````yaml /api-reference/5.18/fusion-api-apps-manager.json get /vault/secrets/{name}
openapi: 3.0.1
info:
  title: Fusion Apps Manager API
  description: API for the Apps Manager service for Lucidworks Fusion.
  contact:
    name: Lucidworks
    url: www.lucidworks.com
    email: support@lucidworks.com
  license:
    name: License of API
    url: https://lucidworks.com/legal/developer-license-agreement/
  version: '5.9'
servers:
  - url: FUSION_HOST/apps-manager
security: []
tags:
  - name: Entitlements consumption API
    description: Endpoints to get entitlements-related information.
  - name: Entitlements consumption records API
    description: Endpoints for calculating the records consumption.
  - name: Entitlements consumption report API
    description: Endpoints to generate consumption reports.
  - name: Entitlements consumption requests API
    description: Endpoints for calculating the requests consumption.
  - name: Fusion license API
    description: Endpoints to retrieve and replace Fusion licenses.
  - name: Fusion Vault
    description: Endpoints for accessing secrets stored in Kubernetes via Fusion Vault.
externalDocs:
  description: Lucidworks Documentation
  url: https://doc.lucidworks.com/
paths:
  /vault/secrets/{name}:
    get:
      tags:
        - Fusion Vault
      summary: Get secret metadata
      description: Get metadata for a specific secret without revealing the secret value.
      operationId: getSecretMetadata
      parameters:
        - name: name
          in: path
          description: Logical secret name (from fusion/label or K8s secret name)
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successfully retrieved secret metadata
          content:
            application/json:
              schema:
                $ref: b5dcbc88-de27-426d-aa5b-e12985e8f9be
        '404':
          description: Secret not found
          content:
            application/json:
              schema:
                $ref: b5dcbc88-de27-426d-aa5b-e12985e8f9be
        '500':
          description: K8s API unavailable
          content:
            application/json:
              schema:
                $ref: b5dcbc88-de27-426d-aa5b-e12985e8f9be

````